<?php
/*
 *      This file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


?><php>echo '<'.'?xml version="1.0" encoding="UTF-8"?>'; </php>

<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/">
    <channel>

        <title><?php aff($info['title']) ?> - <?php aff($collec['title']) ?></title>
        <link><?php echo URL_GCWEB ?></link>
        <description><?php echo htmlspecialchars(convert($info['description'])) ?></description>

        <?php
        // Chargement d'une partie de la base de donnée et mise en cache
        if (!isset($_GET['limit']))
            $limit = 20;
        else
            $limit = intval($_GET['limit']);


        if ($collec['filter'] == 'none')
            $itemsrss = bdd::filterSortSliceAndCache($collec['filter'],'idDSC',0,$limit,True); //pas de purge au cache
        else
            $itemsrss = bdd::filterSortSliceAndCache($collec['filter'],'idDSC',0,$limit,False); //purge au cache


        /*************** Debut de la boucle sur le items *********************/
        foreach ($itemsrss as $item) {
            ?>
            <item>
                <title><?php aff($item['title']) ?></title>
                <link><?php echo URL_GCWEB.hrefItem($item) ?></link>
                <guid isPermaLink="true"><?php echo URL_GCWEB.hrefItem($item) ?></guid>
                <description>
                    <?php echo htmlspecialchars('
                        <img style="float:right" src="'.URL_GCWEB.image($item['cover'],'',120).'" />
                        <ul>
                            <li>'.__('Auteurs').    ' : '.convert($item['authors']).'</li>
                            <li>'.__('Éditeur').    ' : '.convert($item['publisher']).'</li>
                            <li>'.__('Collection'). ' : '.convert($item['serie']).': </li>
                            <li>'.__('Genre').      ' : '.convert($item['genre']).': </li>
                            <li>'.__('ISBN').       ' : '.convert($item['isbn']).': </li>
                            <li>'.__('Langue').     ' : '.convert($item['language']).': </li>
                            <li>'.__('Publier le'). ' : '.convert($item['publication']).': </li>
                        </ul>
                        <p>'.convert($item['description']).'</p>
                        ');
                    ?>

                </description>
                <?php
                if (test($item['web'])) {
                    $explode = explode('##',$item['web'],2);
                    if (count($explode) == 2) {
                        $url = $explode[0];
                        $label = $explode[1];
                    } else {
                        $url = $explode[0];
                        $label = $explode[0];
                    }
                    echo '
                <source url="'.convert($url).'">'.convert($label).'</source>';
                }

                if (is_array($item['genre'])) {
                    foreach ($item['genre'] as $category) {
                        ?>
                        <category domain="<?php echo URL_GCWEB.'?collec='.$collec['id'].'&amp;model=list&amp;filter=genre=='.$category ?>">
                            <?php aff($category) ?>
                        </category>
                        <?php
                    }
                }?>
            </item>
            <?php
        } ?>
    </channel>
</rss>
~~ NOHEAD ~~
~~ NOFOOT ~~